#
# spec file for package nodejs-read-package-json
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name read-package-json

Name:           nodejs-read-package-json
Version:        2.0.0
Release:        14.1
Summary:        Read package.json files
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/read-package-json
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
This module is used by NPM to read package.json files.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json read-json.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 2.0.0
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- update version 1.2.7
* Tue Aug 19 2014 jgleissner@suse.com
- install read-json.js
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
